Name:           owncloud-client
Version:        1.0.0
Release:        1%{?dist}
Summary:        Private file sync and share client based on Mirall

License:        GPLv2+
URL:            http://owncloud.org/
Source0:        http://download.owncloud.com/download/mirall-%{version}.tar.bz2
Source1:        owncloud-client.desktop

BuildRequires:  cmake
BuildRequires:  libcsync-devel qt4-devel
BuildRequires:  desktop-file-utils
Requires:       iproute net-tools oxygen-icon-theme
Requires:       libcsync-plugin-owncloud libcsync-plugin-sftp libcsync-plugin-smb

%description
The ownCloud 2012 client is based on Mirall - gitorious.org/owncloud/mirall

ownCloud 2012 client enables you to connect to your private
ownCloud 2012 Server. With it you can create folders in your home
directory, and keep the contents of those folders synced with your
ownCloud server. Simply copy a file into the directory and the 
ownCloud 2012 Client does the rest.

ownCloud gives your employees anytime, anywhere access to the files
they need to get the job done, whether through this desktop application, 
our mobile apps, the web interface, or other WebDAV clients. With it, 
your employees can easily view and share documents and information 
critical to the business, in a secure, flexible and controlled 
architecture. You can easily extend ownCloud with plug-ins from the 
community, or that you build yourself to meet the requirements of 
your infrastructure and business.

ownCloud - Your Cloud, Your Data, Your Way!  www.owncloud.com

%prep
%setup -q -n mirall-%{version}


%build
mkdir build
pushd build
%cmake ..
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

install -Dpm 644 resources/mirall-22.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/mirall.png
install -Dpm 644 resources/mirall-24.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/mirall.png
install -Dpm 644 resources/mirall-32.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/mirall.png
install -Dpm 644 resources/mirall-64.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/mirall.png
install -Dpm 644 resources/mirall-128.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/mirall.png

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYING README.md
%config(noreplace) /etc/exclude.lst
%{_bindir}/mirall
%{_bindir}/owncloud
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/mirall.png


%changelog
* Wed Apr 04 2012 Felix Kaechele <heffer@fedoraproject.org> - 1.0.0-1
- initial package
